---
title: MessagePort.onmessageerror
slug: Web/API/MessagePort/onmessageerror
tags:
  - API
  - Channel messaging
  - MessagePort
  - Property
  - Reference
  - events
  - onmessageerror
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>onmessageerror</strong></code> event handler of the {{domxref("MessagePort")}} interface is an {{domxref("EventListener")}}, called whenever an {{domxref("MessageEvent")}} of type <code>messageerror</code> is fired on the port—that is, when it receives a message that cannot be {{glossary("Deserialization", "deserialized")}}.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">port.onmessageerror = function() { ... };</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'web-messaging.html#handler-messageport-onmessageerror', 'onmessageerror')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MessagePort.onmessageerror")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Channel_Messaging_API/Using_channel_messaging">Using channel messaging</a></li>
</ul>
